## PhoshGnomeShellManager

PhoshGnomeShellManager — Provides the org.gnome.Shell DBus interface

## Functions

PhoshGnomeShellManager * | phosh_gnome_shell_manager_get_default ()

## Properties

ShellActionMode | shell-action-mode | Read / Write

## Types and Values

enum | ShellActionMode
#define | PHOSH_TYPE_GNOME_SHELL_MANAGER
| PhoshGnomeShellManager

## Object Hierarchy

        GFlags
        ╰── ShellActionMode
        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── PhoshGnomeShellDBusShellSkeleton
                ╰── PhoshGnomeShellManager

## Implemented Interfaces

PhoshGnomeShellManager implements GDBusInterface and PhoshGnomeShellDBusShell.

## Description

## Functions

### phosh_gnome_shell_manager_get_default ()

    PhoshGnomeShellManager *
    phosh_gnome_shell_manager_get_default (void);

## Types and Values

### enum ShellActionMode

Controls in which GNOME Shell states an action (like keybindings and gestures) should be handled.

#### Members

SHELL_ACTION_MODE_NONE | block action |
SHELL_ACTION_MODE_NORMAL | allow action when in window mode, e.g. when the focus is in an application window |
SHELL_ACTION_MODE_OVERVIEW | allow action while the overview is active |
SHELL_ACTION_MODE_LOCK_SCREEN | allow action when the screen is locked, e.g. when the screen shield is shown |
SHELL_ACTION_MODE_UNLOCK_SCREEN | allow action in the unlock dialog |
SHELL_ACTION_MODE_LOGIN_SCREEN | allow action in the login screen |
SHELL_ACTION_MODE_SYSTEM_MODAL | allow action when a system modal dialog (e.g. authentication or session dialogs) is open |
SHELL_ACTION_MODE_LOOKING_GLASS | allow action in looking glass |
SHELL_ACTION_MODE_POPUP | allow action while a shell menu is open |
SHELL_ACTION_MODE_ALL | always allow action |

### PHOSH_TYPE_GNOME_SHELL_MANAGER

    #define PHOSH_TYPE_GNOME_SHELL_MANAGER             (phosh_gnome_shell_manager_get_type ())

### PhoshGnomeShellManager

    typedef struct _PhoshGnomeShellManager PhoshGnomeShellManager;

## Property Details

### The `“shell-action-mode”` property

      “shell-action-mode”        ShellActionMode

The active action mode (used for keygrabbing).

Owner: PhoshGnomeShellManager

Flags: Read / Write